Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# OSubStream Class Reference

An ostream object that presents a subwindow into another ostream. More...

Inheritance diagram for OSubStream:

List of all members.

## Public Member Functions
| OSubStream ()
| OSubStream (OStreamWrapper dest, unsigned long int start, unsigned long int end, bool append)
| OSubStream (OStreamWrapper dest, unsigned long int start, unsigned long int end)
OSubStream | close ()
| Resets the SubStream to empty, but does not actually close the dest ostream.
OSubStream | open (OStreamWrapper dest, unsigned long int start, unsigned long int end)
| Starts the SubStream reading from the indicated dest, with the first character being the character at position "start" within the dest, for end - start total characters.
OSubStream | open (OStreamWrapper dest, unsigned long int start, unsigned long int end, bool append)
| Starts the SubStream reading from the indicated dest, with the first character being the character at position "start" within the dest, for end - start total characters.

## Detailed Description

An ostream object that presents a subwindow into another ostream.

The first character written to this stream will be the "start" character in the dest istream; no characters may be written to character "end" or later (unless end is zero).

The dest stream must be one that we can randomly seek within. The resulting OSubStream will also support arbitrary seeks.

## Constructor & Destructor Documentation

OSubStream | ( |  | ) |

OSubStream | ( | OStreamWrapper | dest,
|  | unsigned long int | start,
|  | unsigned long int | end,
|  | bool | append
| ) |  |

OSubStream | ( | OStreamWrapper | dest,
|  | unsigned long int | start,
|  | unsigned long int | end
| ) |  |

## Member Function Documentation

OSubStream close | ( |  | ) |

Resets the SubStream to empty, but does not actually close the dest ostream.

OSubStream open | ( | OStreamWrapper | dest,
|  | unsigned long int | start,
|  | unsigned long int | end,
|  | bool | append
| ) |  |

Starts the SubStream reading from the indicated dest, with the first character being the character at position "start" within the dest, for end - start total characters.

The character at "end" within the dest will never be read; this will appear to be EOF.

If end is zero, it indicates that the OSubStream will continue until the end of the dest stream.

OSubStream open | ( | OStreamWrapper | dest,
|  | unsigned long int | start,
|  | unsigned long int | end
| ) |  |

Starts the SubStream reading from the indicated dest, with the first character being the character at position "start" within the dest, for end - start total characters.

The character at "end" within the dest will never be read; this will appear to be EOF.

If end is zero, it indicates that the OSubStream will continue until the end of the dest stream.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties